HttpDeflateStream::update
HttpInflateStream::__construct
HTTP
PHP Manual

# The HttpInflateStream class

## 클래스 개요

HttpInflateStream
HttpInflateStream {
public void __construct ([ int `$flags`= 0 ] )
public HttpInflateStream factory ([ int `$flags`= 0 [, string `$class_name`= "HttpInflateStream" ]] )
public string finish ([ string `$data` ] )
public string flush ([ string `$data` ] )
public string update ( string `$data` )
}

## Class Members

## Constants

Type | Name | Description
--- | --- | ---
int | FLUSH_NONE | no forced flush
int | FLUSH_SYNC | synching flush
int | FLUSH_FULL | full flush

> Note: Flushing usually has no effect on inflate streams.

## 예제

Example #1 A HttpInflateStream example

`<?php
$stream = new HttpInflateStream;
echo $stream->update($data);
echo $stream->finish();
?>`

## Table of Contents

- HttpInflateStream::__construct — HttpInflateStream class constructor
- HttpInflateStream::factory — HttpInflateStream class factory
- HttpInflateStream::finish — Finalize inflate stream
- HttpInflateStream::flush — Flush inflate stream
- HttpInflateStream::update — Update inflate stream

HttpDeflateStream::update
HttpInflateStream::__construct
HTTP
PHP Manual